src/ctwr/cs_ctwr_air_props.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
cs_ctwr_air_props.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "cs_base.h"`
`#include "cs_ctwr_air_props.h"`
Include dependency graph for cs_ctwr_air_props.c:

## Functions
void | ctprof (const cs_real_t *cpa, const cs_real_t *cpv, const cs_real_t *cpe, const cs_real_t *hv0, const cs_real_t *rhoe, const cs_real_t *visc, const cs_real_t *cond, const cs_real_t *gravx, const cs_real_t *gravy, const cs_real_t *gravz)
void | xsath (const cs_real_t *th, cs_real_t *xsat)
void | dxsath (const cs_real_t *th, cs_real_t *dxsat)
cs_real_t | cs_ctwr_xsath (const cs_real_t th)
cs_real_t | cs_ctwr_enthair (const cs_real_t xair, const cs_real_t tair)
cs_real_t | cs_ctwr_heau (const cs_real_t teau)
cs_real_t | cs_ctwr_dxsath (const cs_real_t th)

## Variables
cs_ctwr_fluid_props_t * | cs_glob_ctwr_props = NULL

## Function Documentation

cs_real_t cs_ctwr_dxsath | ( | const cs_real_t | th | ) |

cs_real_t cs_ctwr_enthair | ( | const cs_real_t | xair,
|  | const cs_real_t | tair
| ) |  |

cs_real_t cs_ctwr_heau | ( | const cs_real_t | teau | ) |

cs_real_t cs_ctwr_xsath | ( | const cs_real_t | th | ) |

void ctprof | ( | const cs_real_t * | cpa,
|  | const cs_real_t * | cpv,
|  | const cs_real_t * | cpe,
|  | const cs_real_t * | hv0,
|  | const cs_real_t * | rhoe,
|  | const cs_real_t * | visc,
|  | const cs_real_t * | cond,
|  | const cs_real_t * | gravx,
|  | const cs_real_t * | gravy,
|  | const cs_real_t * | gravz
| ) |  |

void dxsath | ( | const cs_real_t * | th,
|  | cs_real_t * | dxsat
| ) |  |

void xsath | ( | const cs_real_t * | th,
|  | cs_real_t * | xsat
| ) |  |

## Variable Documentation

cs_ctwr_fluid_props_t* cs_glob_ctwr_props = NULL